#include <stdio.h>
int main(){
	int i,j,n;
	scanf("%d",&n);
	
	if(n<=0){
		printf("-1\n");
		return 1;}

	for(i=1;i<=n;i++){
		for(j=n-1;j>=i;j--){
				printf(" ");}
		for(j=0;j<i*2-1;j++){
			if(j%2==0)
				printf("*");
			else
				printf("A");}
	printf("\n");}
	return 0;
}
			
